classification
Title: Merge audio modules
Type: behavior Stage: needs patch
Components: Library (Lib) Versions: Python 3.0, Python 2.6
process
Status: closed Resolution: out of date
Dependencies: Superseder:
Assigned To: Nosy List: MichaelBishop, brett.cannon, vstinner
Priority: normal Keywords:

Created on 2008-03-20 17:20 by MichaelBishop, last changed 2008-11-24 05:44 by brett.cannon. This issue is now closed.

Messages (4)
msg64182 - (view) Author: Michael Bishop (MichaelBishop) * Date: 2008-03-20 17:20
There are many duplicate functions throughout the many audio modules. I
plan to merge relevant functions into 2 modules; a C module and a py
module. Once I go through the audio modules in detail, I'll post my plan
here.

Reference:
http://www.python.org/dev/peps/pep-3108/
http://mail.python.org/pipermail/python-3000/2007-January/005295.html
msg75631 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2008-11-08 11:50
Which modules? And where is the patch? :-)
msg76282 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2008-11-23 23:48
2.6 and 3.0rc3 are released. It's too late to change the standard 
library. So I prefer to close the bug. Reopen it if you want to work 
on that.
msg76299 - (view) Author: Brett Cannon (brett.cannon) * (Python committer) Date: 2008-11-24 05:44
On Sun, Nov 23, 2008 at 15:49, STINNER Victor <report@bugs.python.org> wrote:
>
> STINNER Victor <victor.stinner@haypocalc.com> added the comment:
>
> 2.6 and 3.0rc3 are released. It's too late to change the standard
> library. So I prefer to close the bug. Reopen it if you want to work
> on that.
>

It's not too late, just harder; new modules can always be added and
old ones deprecated. If Michael still wants to do this there is a
chance for it to go into the stdlib. But closing the bug is fine.
History
Date User Action Args
2008-11-24 05:44:35brett.cannonsetmessages: + msg76299
title: Merge audio modules -> Merge audio modules
2008-11-23 23:48:59vstinnersetstatus: open -> closed
resolution: out of date
messages: + msg76282
2008-11-08 11:50:19vstinnersetnosy: + vstinner
messages: + msg75631
stage: needs patch
2008-03-20 17:20:46MichaelBishopcreate